tk security update

2008-02-23T11:54:01
ID CESA-2008:0136
Type centos
Reporter CentOS Project
Modified 2008-02-23T11:54:08

Description

CentOS Errata and Security Advisory CESA-2008:0136

Tk is a graphical toolkit for the Tcl scripting language.

An input validation flaw was discovered in Tk's GIF image handling. A code-size value read from a GIF image was not properly validated before being used, leading to a buffer overflow. A specially crafted GIF file could use this to cause a crash or, potentially, execute code with the privileges of the application using the Tk graphical toolkit. (CVE-2008-0553)

A buffer overflow flaw was discovered in Tk's animated GIF image handling. An animated GIF containing an initial image smaller than subsequent images could cause a crash or, potentially, execute code with the privileges of the application using the Tk library. (CVE-2007-5137)

All users are advised to upgrade to these updated packages which contain a backported patches to resolve these issues.

Merged security bulletin from advisories: http://lists.centos.org/pipermail/centos-announce/2008-February/026738.html http://lists.centos.org/pipermail/centos-announce/2008-February/026739.html

Affected packages: tk tk-devel

Upstream details at: https://rhn.redhat.com/errata/RHSA-2008-0135.html https://rhn.redhat.com/errata/RHSA-2008-0136.html